# Benefits of Overparameterized Convolutional Residual Networks: Function Approximation under Smoothness Constraint
This repository contains the accompanying software for the paper "Benefits of Overparameterized Convolutional Residual Networks: Function Approximation under Smoothness Constraint" by Hao Liu, Minshuo Chen, Siawpeng Er, Wenjing Liao, Tong Zhang and Tuo Zhao.

### Usage
There are two scripts, one for running the training, the other is for testing.

1. Use run_cifar.sh to train models
```shell
./run_cifar.sh [GPU location]
```
<li> Upon the first run of the run_cifar.sh, a folder ./data/CIFAR10 will be created at the current folder and download the dataset used. </li>
<li> The output will be saved in the destination determined by the OUTPUT parameter in the script

2. Use run_cifar_test.sh to test the trained models
```shell
./run_cifar_test.sh [GPU location]
````
<li> The script run_cifar.sh will run both the training and testing for the models. </li>
<li>Depends on the gpu's capability, sometime, we need to run the testing of our trained model separately. Input the output folder name, and the corresponding parameters to run the test for the previously trained model.</li>
